Page MenuHomePhabricator

Check for invalid usernames
Closed, DuplicatePublic

Description

We discovered User:Ff02::3 (https://meta.wikimedia.org/wiki/Special:CentralAuth/Ff02::3) exists today. We should do a check to see if there are any other "IPv6 users" in our database (registered before T39884 was fixed).

Cf. T2323.

Event Timeline

Legoktm created this task.Feb 13 2015, 8:52 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 8:52 PM
Keegan added a subscriber: Keegan.Feb 13 2015, 8:58 PM
Legoktm renamed this task from Check for IPv6 usernames to Check for invalid usernames.Feb 13 2015, 9:33 PM
Legoktm claimed this task.
Legoktm set Security to None.

Running a script across all wikis to look for invalid usernames...

gerritbot added a subscriber: gerritbot.

Change 190565 had a related patch set uploaded (by Legoktm):
Add checkInvalidUsernames.php script

https://gerrit.wikimedia.org/r/190565

Patch-For-Review

Nemo_bis updated the task description. (Show Details)Feb 13 2015, 10:10 PM

Found 218 invalid usernames, some amusing like ~~~~ and other obvious attack accounts that are probably suppressed. Need to figure out what to do with them...

TTO added a subscriber: TTO.Feb 14 2015, 2:18 AM

This looks like the same issue as T5507, which was filed by Ævar (shows how old this issue is).

Why check for canonical username instead of User::isValidUserName()?

In T89495#1038580, @TTO wrote:

This looks like the same issue as T5507, which was filed by Ævar (shows how old this issue is).

Indeed. The problem arises every time a new pattern is made invalid or normalised.

bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Feb 20 2015, 11:03 PM

Change 190565 abandoned by Legoktm:
Add checkInvalidUsernames.php script

Reason:
I forgot to abandon this, it's a dupe of checkUsernames.php which is already in core

https://gerrit.wikimedia.org/r/190565

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 23 2015, 11:58 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptMay 8 2016, 9:01 AM